Page MenuHomePhabricator

Quibble should be able to be forced to run extensions testsuite when triggered from mediawiki/core
Closed, ResolvedPublic

Description

Goal add an option to have a mediawiki/core patch to run phpunit with --testsuite extensions.

Fork from T197469

As noted on b493d4e558368ab6fe9995051c6d9e2992df8bf2 :

The legacy mediawiki-extensions jobs shell out to mw-run-phpunit-allexts.sh which runs the extensions suite regardless of the trigger repo (core or an extension):

phpunit.php --testsuite extensions

Quibble runs a different testsuite depending on ZUUL_PROJECT:

For core or vendor:

phpunit.php --exclude-group Database
phpunit.php --group Database

For extensions or skins:

phpunit.php --testsuite [extensions|skins]
RepoPHPUnit
extension--testsuite extensions
skin--testsuite skins
coredatabaseless then database

The wmf-quibble jobs have extensions cloned in but can be triggered by mediawiki/core patchset. Thus Quibble would run ALL the tests and not just the extensions suite. And a wide range of tests are failing

.

Quibble should have a way to run solely the extensions/skins suite when triggered by mediawiki/core. Possibly via a hack to the wmf-quibble jobs.

Event Timeline

hashar triaged this task as Normal priority.Jul 19 2018, 3:10 PM
hashar created this task.
hashar updated the task description. (Show Details)Jul 23 2018, 7:52 PM

Change 447557 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/quibble@master] Simply phpunit and allow testsuite override

https://gerrit.wikimedia.org/r/447557

Change 447557 merged by jenkins-bot:
[integration/quibble@master] Simply phpunit and allow testsuite override

https://gerrit.wikimedia.org/r/447557

hashar closed this task as Resolved.Aug 1 2018, 3:08 PM

541c07bf88c8 adds --phpunit-testsuite=extensions to Quibble.

I have added that parameter to the wmf-quibble jobs with https://gerrit.wikimedia.org/r/#/c/integration/config/+/449696/